package com.mortals.xhx.module.app.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.app.model.AppRecordEntity;
/**
* 应用访问记录查询对象
*
* @author zxfei
* @date 2025-04-03
*/
public class AppRecordQuery extends AppRecordEntity {
    /** 开始 id */
    private Long idStart;

    /** 结束 id */
    private Long idEnd;

    /** 增加 id */
    private Long idIncrement;

    /** id列表 */
    private List <Long> idList;

    /** id排除列表 */
    private List <Long> idNotList;

    /** 标题 */
    private List<String> appNameList;

    /** 标题排除列表 */
    private List <String> appNameNotList;
    /** 封面 */
    private List<String> appKeyList;

    /** 封面排除列表 */
    private List <String> appKeyNotList;
    /** 询问内容 */
    private List<String> queryList;

    /** 询问内容排除列表 */
    private List <String> queryNotList;
    /** 开始 访问时间 */
    private String accessTimeStart;

    /** 结束 访问时间 */
    private String accessTimeEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppRecordQuery> andConditionList;

    public AppRecordQuery(){}

    /**
    * 获取 开始 id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 id
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 id
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 标题
    * @return appNameList
    */
    public List<String> getAppNameList(){
        return this.appNameList;
    }

    /**
    * 设置 标题
    * @param appNameList
    */
    public void setAppNameList(List<String> appNameList){
        this.appNameList = appNameList;
    }

    /**
    * 获取 标题
    * @return appNameNotList
    */
    public List<String> getAppNameNotList(){
        return this.appNameNotList;
    }

    /**
    * 设置 标题
    * @param appNameNotList
    */
    public void setAppNameNotList(List<String> appNameNotList){
        this.appNameNotList = appNameNotList;
    }

    /**
    * 获取 封面
    * @return appKeyList
    */
    public List<String> getAppKeyList(){
        return this.appKeyList;
    }

    /**
    * 设置 封面
    * @param appKeyList
    */
    public void setAppKeyList(List<String> appKeyList){
        this.appKeyList = appKeyList;
    }

    /**
    * 获取 封面
    * @return appKeyNotList
    */
    public List<String> getAppKeyNotList(){
        return this.appKeyNotList;
    }

    /**
    * 设置 封面
    * @param appKeyNotList
    */
    public void setAppKeyNotList(List<String> appKeyNotList){
        this.appKeyNotList = appKeyNotList;
    }

    /**
    * 获取 询问内容
    * @return queryList
    */
    public List<String> getQueryList(){
        return this.queryList;
    }

    /**
    * 设置 询问内容
    * @param queryList
    */
    public void setQueryList(List<String> queryList){
        this.queryList = queryList;
    }

    /**
    * 获取 询问内容
    * @return queryNotList
    */
    public List<String> getQueryNotList(){
        return this.queryNotList;
    }

    /**
    * 设置 询问内容
    * @param queryNotList
    */
    public void setQueryNotList(List<String> queryNotList){
        this.queryNotList = queryNotList;
    }

    /**
    * 获取 开始 访问时间
    * @return accessTimeStart
    */
    public String getAccessTimeStart(){
        return this.accessTimeStart;
    }

    /**
    * 设置 开始 访问时间
    * @param accessTimeStart
    */
    public void setAccessTimeStart(String accessTimeStart){
        this.accessTimeStart = accessTimeStart;
    }

    /**
    * 获取 结束 访问时间
    * @return accessTimeEnd
    */
    public String getAccessTimeEnd(){
        return this.accessTimeEnd;
    }

    /**
    * 设置 结束 访问时间
    * @param accessTimeEnd
    */
    public void setAccessTimeEnd(String accessTimeEnd){
        this.accessTimeEnd = accessTimeEnd;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  id
    * @param id
    */
    public AppRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 id
    * @param idStart
    */
    public AppRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 id
    * @param idEnd
    */
    public AppRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 id
    * @param idIncrement
    */
    public AppRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 id
    * @param idList
    */
    public AppRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 id
        * @param idNotList
        */
        public AppRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 标题
    * @param appName
    */
    public AppRecordQuery appName(String appName){
        setAppName(appName);
		return this;
    }

    /**
    * 设置 标题
    * @param appNameList
    */
    public AppRecordQuery appNameList(List<String> appNameList){
        this.appNameList = appNameList;
		return this;
    }


	/**
    * 设置 封面
    * @param appKey
    */
    public AppRecordQuery appKey(String appKey){
        setAppKey(appKey);
		return this;
    }

    /**
    * 设置 封面
    * @param appKeyList
    */
    public AppRecordQuery appKeyList(List<String> appKeyList){
        this.appKeyList = appKeyList;
		return this;
    }


	/**
    * 设置 询问内容
    * @param query
    */
    public AppRecordQuery query(String query){
        setQuery(query);
		return this;
    }

    /**
    * 设置 询问内容
    * @param queryList
    */
    public AppRecordQuery queryList(List<String> queryList){
        this.queryList = queryList;
		return this;
    }



	/**
    * 设置 备注
    * @param remark
    */
    public AppRecordQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AppRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AppRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AppRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AppRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AppRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AppRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AppRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AppRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AppRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AppRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AppRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}